PRAGMA legacy_alter_table=ON;
PRAGMA foreign_keys=OFF;

ALTER TABLE articles RENAME TO _articles_old;
ALTER TABLE enclosures RENAME TO _enclosures_old;
ALTER TABLE taggings RENAME TO _taggings_old;

CREATE TABLE articles (
	article_id TEXT PRIMARY KEY NOT NULL,
	title TEXT,
	author TEXT,
	feed_id TEXT NOT NULL REFERENCES feeds(feed_id),
	url TEXT,
	timestamp DATETIME NOT NULL,
    synced DATETIME DEFAULT CURRENT_TIMESTAMP NOT NULL,
	html TEXT,
	summary TEXT,
	direction INTEGER,
	unread INTEGER NOT NULL,
	marked INTEGER NOT NULL,
    scraped_content TEXT default null,
    plain_text TEXT default null
);

CREATE TABLE enclosures (
	article_id TEXT PRIMARY KEY NOT NULL REFERENCES articles(article_id),
	url TEXT NOT NULL,
	enclosure_type INTEGER NOT NULL
);

CREATE TABLE taggings (
	article_id TEXT NOT NULL REFERENCES articles(article_id),
	tag_id TEXT NOT NULL REFERENCES tags(tag_id),
	PRIMARY KEY (article_id, tag_id)
);

INSERT INTO articles (article_id, title, author, feed_id, url, timestamp, synced, html, summary, direction, unread, marked, scraped_content, plain_text)
  SELECT article_id, title, author, feed_id, url, timestamp, CURRENT_TIMESTAMP, html, summary, direction, unread, marked, scraped_content, plain_text
  FROM _articles_old;

INSERT INTO enclosures (article_id, url, enclosure_type)
  SELECT article_id, url, enclosure_type
  FROM _enclosures_old;

INSERT INTO taggings (article_id, tag_id)
  SELECT article_id, tag_id
  FROM _taggings_old;
  
DROP TABLE _articles_old;
DROP TABLE _enclosures_old;
DROP TABLE _taggings_old;

PRAGMA foreign_keys=ON;
PRAGMA legacy_alter_table=OFF;
